#include "tankwars.h"

extern HDC hDC;
extern GLuint texture[TOTAL_TEXTURES];
extern GLuint model[TOTAL_MODELS];

_2Df tankpos[2];
int tankrot[2];

void renderintro(void);

void playintro(void)
{
	int i;

	gluPerspective(45.0f,(GLfloat)4/(GLfloat)3,1.0f,100.0f);
	tankpos[0].x=0;
	tankpos[0].y=-60;
	for(i=0; i<500; i++)
		renderintro();
	gluPerspective(45.0f,(GLfloat)4/(GLfloat)3,260.0f,430.0f);
}

void renderintro(void)
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	glLoadIdentity();
//	glDisable(GL_TEXTURE_2D);

	glColor3f(1.0f, 0.8f, 0.2f);
	glPrint(200, 350, 0, "T A N K   W A R S    3 D");
	glLoadIdentity();

	glDisable(GL_BLEND);
	glDisable(GL_DEPTH_TEST);
	glTranslatef(0, 0, -10);
	glColor3f(1.0f, 1.0f, 1.0f);
//	glBindTexture(GL_TEXTURE_2D, texture[REDTANK_TEXTURE]);
	glBegin(GL_QUADS);
		glVertex3f(1.0f, 1.0f, 0.0f);
		glVertex3f(-1.0f, 1.0f, 0.0f);
		glVertex3f(-1.0f, -1.0f, 0.0f);
		glVertex3f(1.0f, -1.0f, 0.0f);
	glEnd();
	glCallList(model[TANK_MODEL]);

	// Flush the data and swap the front and back buffers:
	glFlush();
	SwapBuffers(hDC);
}