#include "tankwars.h"

extern bool fullscreen;
extern bool active;

int screen_w, screen_h;

int heightmap[31][21];
unsigned char lightmap[30][20];

int gamestart(void)
{
	MSG		msg;						// Windows Message Structure

	// Resolution:
	screen_w=640;
	screen_h=480;

	// Ask The User Which Screen Mode They Prefer
	//if (MessageBox(NULL,"Would You Like To Run In Fullscreen Mode?", "Start FullScreen?", MB_YESNO)==IDNO)
	//	fullscreen=FALSE;							// Windowed Mode
	// Create Our OpenGL Window
	if (!CreateGLWindow("Tank Wars 3D",screen_w,screen_h,16,fullscreen))
		return 0;									// Quit If Window Was Not Created

	gameinit();
	playintro();
	maingame();

	// Shutdown
	KillGLWindow();									// Kill The Window
	return (msg.wParam);							// Exit The Program
}